Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class GetOrgEntityCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<OrganizationalEntity>
          org.jbpm.services.task.commands.GetOrgEntityCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<OrganizationalEntity>, Command<OrganizationalEntity>

    public class GetOrgEntityCommand

extends TaskCommand<OrganizationalEntity>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`GetOrgEntityCommand()`
`GetOrgEntityCommand(String id)`

Method Summary
`OrganizationalEntity` | `execute(org.kie.internal.command.Context cntxt)`
`String` | `getId()`
`void` | `setId(String id)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetOrgEntityCommand

    public GetOrgEntityCommand()

### GetOrgEntityCommand

    public GetOrgEntityCommand(String id)

Method Detail

### getId

    public String getId()

### setId

    public void setId(String id)

### execute

    public OrganizationalEntity execute(org.kie.internal.command.Context cntxt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.